# Parameter (iCal4j VCard 0.9.5 API)
Date: 2012-01-29

net.fortuna.ical4j.vcard

## Class Parameter

- java.lang.Object
- - net.fortuna.ical4j.vcard.Parameter

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  Altid, Calscale, Encoding, Fmttype, Geo, Language, Pid, Pref, SortAs, Type, Tz, Value, Version

    public abstract class Parameter
    extends Object
    implements Serializable

A property parameter. $Id$ Created on 21/08/2008

Author:
  Ben
See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `Parameter.Id` Enumeration of parameter identifiers.

### Constructor Summary

Constructors
Constructor and Description
`Parameter(Parameter.Id id)`
`Parameter(String extendedName)`

### Method Summary

Methods
`boolean` `equals(Object obj)`
`Parameter.Id` `getId()`
`abstract String` `getValue()`
`int` `hashCode()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Parameter

    public Parameter(String extendedName)

Parameters:
  `extendedName` - a non-standard parameter id

#### Parameter

    public Parameter(Parameter.Id id)

Parameters:
  `id` - the parameter type

### Method Detail

#### getId

    public final Parameter.Id getId()

Returns:
  the id

#### getValue

    public abstract String getValue()

Returns:
  a string representation of the value of the parameter

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### toString

    public final String toString()

Overrides:
  `toString` in class `Object`
Returns:
  a vCard-compliant string representation of the parameter